Bug 1567612 - [abrt] PackageKit: repodata_precheck_keyname(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: repodata_precheck_keyname(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d5c977c4896af7046f594e24d7d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 13:06 UTC by Joachim Frieben
Modified: 2019-05-28 19:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:54:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.85 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: cgroup (184 bytes, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: core_backtrace (9.95 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: cpuinfo (1010 bytes, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: dso_list (8.13 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: environ (190 bytes, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: maps (38.73 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: mountinfo (3.99 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: open_fds (2.35 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details
File: var_log_messages (163 bytes, text/plain)
2018-04-15 13:06 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2018-04-15 13:06:16 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repodata_precheck_keyname
executable:     /usr/libexec/packagekitd
journald_cursor: s=b087daa1c23e48d1aeb6180ba03c3c95;i=3a9a;b=78a5d4f51125462e93b89d095c27287d;m=fa942e3;t=569e1dcefa7d7;x=1da6641c2f677e19
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 repodata_precheck_keyname at ../src/repodata.h:180
 #1 maybe_load_repodata at ../src/repodata.c:537
 #2 find_key_data at ../src/repodata.c:605
 #3 repodata_lookup_idarray at ../src/repodata.c:762
 #4 pool_addfileprovides_search at ../src/fileprovides.c:199
 #6 pool_addfileprovides_queue at ../src/fileprovides.c:341
 #7 dnf_sack_make_provides_ready at /usr/src/debug/libdnf-0.11.1-3.fc28.x86_64/libdnf/dnf-sack.c:1802
 #8 running_kernel at /usr/src/debug/libdnf-0.11.1-3.fc28.x86_64/libdnf/hy-iutil.c:368
 #9 dnf_sack_running_kernel at /usr/src/debug/libdnf-0.11.1-3.fc28.x86_64/libdnf/dnf-sack.c:1829
 #10 allow_uninstall_all_but_protected at /usr/src/debug/libdnf-0.11.1-3.fc28.x86_64/libdnf/hy-goal.c:291

Comment 1 Joachim Frieben 2018-04-15 13:06:23 UTC
Created attachment 1422179 [details]
File: backtrace

Comment 2 Joachim Frieben 2018-04-15 13:06:24 UTC
Created attachment 1422180 [details]
File: cgroup

Comment 3 Joachim Frieben 2018-04-15 13:06:25 UTC
Created attachment 1422181 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2018-04-15 13:06:26 UTC
Created attachment 1422182 [details]
File: cpuinfo

Comment 5 Joachim Frieben 2018-04-15 13:06:28 UTC
Created attachment 1422183 [details]
File: dso_list

Comment 6 Joachim Frieben 2018-04-15 13:06:29 UTC
Created attachment 1422184 [details]
File: environ

Comment 7 Joachim Frieben 2018-04-15 13:06:31 UTC
Created attachment 1422185 [details]
File: exploitable

Comment 8 Joachim Frieben 2018-04-15 13:06:32 UTC
Created attachment 1422186 [details]
File: limits

Comment 9 Joachim Frieben 2018-04-15 13:06:34 UTC
Created attachment 1422187 [details]
File: maps

Comment 10 Joachim Frieben 2018-04-15 13:06:35 UTC
Created attachment 1422188 [details]
File: mountinfo

Comment 11 Joachim Frieben 2018-04-15 13:06:37 UTC
Created attachment 1422189 [details]
File: open_fds

Comment 12 Joachim Frieben 2018-04-15 13:06:38 UTC
Created attachment 1422190 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2018-04-15 13:06:39 UTC
Created attachment 1422191 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 19:18:46 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-02 21:55:30 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 19:54:09 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.